React UI Components Documentation
ReactJS PasswordInput Component
The PasswordInput component for ReactJS represents a widget which enables you to input passwords with nice visual feedback about the password's strength.
Prerequisites
Refer to ReactJS Getting Started before you start with this help topic.
Configuration
The PasswordInput component for ReactJS requires the following imports.
import React from 'react';import ReactDOM from 'react-dom'; import JqxPasswordInput from 'jqwidgets-react/react_jqxpasswordinput.js';
Then we create our component class. Properties and methods are put as ReactJS props.
class App extends React.Component { render () { return ( <JqxPasswordInput width={220} height={22} /> ) }}
Finally we render our class in the desired HTML element:
ReactDOM.render(<App />, document.getElementById('app'));
Events Methods & Properties
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:
<JqxPasswordInput ref='myPasswordInput' width={220} height={22}..... />
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
Events
The change event is triggered when the value in the input is changed.
The following example demonstrates how to add an event listener:
componentDidMount (){ this.refs.myPasswordInput.on('change', (event) => { //your logic }); }
Methods & Properties
This is how you call methods & props:
//Get Methodslet date = this.refs.myPasswordInput.val(); //Set Methodsthis.refs.myPasswordInput.val("New password"); //Get Propertieslet height = this.refs.myPasswordInput.height(); //Set Propertiesthis.refs.myPasswordInput.height(35);
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.refs.myPasswordInput.setOptions({ layout: "reverse", width: 200, height: 300})
Every component also have a method getOptions which returns a object containing the component settings.
let options = this.refs.myPasswordInput.getOptions();
PasswordInput Examples
Overview
The following example demonstrates how to create a PasswordInput component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxPasswordInput from 'jqwidgets-react/react_jqxpasswordinput.js'; class App extends React.Component { render () { return ( <JqxPasswordInput width={220} height={22} /> ) }} ReactDOM.render(<App />, document.getElementById('app'));
Disabled PasswordInput
The following example demonstrates how to disable the PasswordInput component.

Vue UI Components Documentation
Vue PasswordInput Component
The PasswordInput component for Vue represents a widget which enables you to input passwords with nice visual feedback about the password's strength.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The PasswordInput component for Vue requires the following import:
import JqxPasswordInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpasswordinput.vue';
Add the jqxPasswordInput component to the components section of the the Vue class:
components: { JqxPasswordInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxPasswordInput/>
<template> <JqxPasswordInput :placeHolder="placeHolder" :showStrength="showStrength" :width="width" :height="height"> </JqxPasswordInput></template>
Properties
The properties of the <JqxPasswordInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { placeHolder: 'Enter password', showStrength: true, width: 200, height: 25 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxPasswordInput @change="onChange()" :placeHolder="placeHolder" :showStrength="showStrength" :width="width" :height="height"></JqxPasswordInput>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onChange: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxPasswordInput ref="passwordinput"></JqxPasswordInput>
Here how you can use a component's method:
this.$refs.passwordinput.refresh();
methods: { // Add here all used callbacks and/or events onChange: function () { // Do something... this.$refs.passwordinput.refresh(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxPasswordInput ref="passwordinput" @change="onChange()" :placeHolder="'Enter password'" :showStrength="true" :width="200" :height="25"> </JqxPasswordInput></template> <script> // Import the components that will be used import JqxPasswordInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpasswordinput.vue'; export default { components: { // Adding imported widgets here JqxPasswordInput }, data: function () { // Define properties which will use in the widget return { placeHolder: 'Enter password', showStrength: true, width: 200, height: 25 } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onChange: function () { // Do something... this.$refs.passwordinput.refresh(); } } }</script> <style></style>
PasswordInput Example
<template> <JqxPasswordInput :placeHolder="'Enter password'" :showStrength="true" :showStrengthPosition="'right'" :passwordStrength="passwordStrength" :width="200" :height="25"> </JqxPasswordInput></template> <script> import JqxPasswordInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxpasswordinput.vue'; export default { components: { JqxPasswordInput }, methods: { passwordStrength: function (password, characters, defaultStrength) { let length = password.length; let letters = characters.letters; let numbers = characters.numbers; let specialKeys = characters.specialKeys; let strengthCoefficient = letters + numbers + 2 * specialKeys + letters * numbers * specialKeys; let strengthValue; if (length < 4) { strengthValue = 'Too short'; } else if (strengthCoefficient < 10) { strengthValue = 'Weak'; } else if (strengthCoefficient < 20) { strengthValue = 'Fair'; } else if (strengthCoefficient < 30) { strengthValue = 'Good'; } else { strengthValue = 'Strong'; }; return strengthValue; }, strengthTypeRenderer: function (password, characters, defaultStrength) { let length = password.length; let letters = characters.letters; let numbers = characters.numbers; let specialKeys = characters.specialKeys; let strengthCoefficient = letters + numbers + 2 * specialKeys + letters * numbers / 2 + length; let strengthValue; let color; if (length < 8) { strengthValue = 'Too short'; color = 'rgb(170, 0, 51)'; } else if (strengthCoefficient < 20) { strengthValue = 'Weak'; color = 'rgb(170, 0, 51)'; } else if (strengthCoefficient < 30) { strengthValue = 'Fair'; color = 'rgb(255, 204, 51)'; } else if (strengthCoefficient < 40) { strengthValue = 'Good'; color = 'rgb(45, 152, 243)'; } else { strengthValue = 'Strong'; color = 'rgb(118, 194, 97)'; }; return '<div style="font-style: italic; font-weight: bold; color: "' + color + ';">' + strengthValue + '</div>'; } } }</script>

Angular PasswordInput Component

The PasswordInput component for Angular represents a widget which enables you to input passwords with nice visual feedback about the password's strength.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxExpander [theme]="'fluent'" #createAccount
             [showArrow]="false"
             [toggleMode]="'none'"
             [width]="350">
    <div>
        Create a new account
    </div>
    <div style="font-family: Verdana; font-size: 13px;">
        <jqxValidator #validatorReference (onValidationSuccess)="validationSuccess($event)" [rules]="rules" [hintType]="'label'">
            <form id="form" style="overflow: hidden; margin: 10px;" action="./">
                <table>
                    <tr>
                        <td colspan="2">
                            First Name
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <jqxInput [theme]="'fluent'" #firstName class="firstName" [width]="300" [height]="21"></jqxInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Last Name
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <jqxInput [theme]="'fluent'" #lastName class="lastName" [width]="300" [height]="21"></jqxInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Choose your username
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxInput [theme]="'fluent'" #userName class="userName" [width]="300" [height]="21"></jqxInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Create a password
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxPasswordInput [theme]="'fluent'" #password class="password" [width]="300" [height]="21"></jqxPasswordInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Confirm your password
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxPasswordInput [theme]="'fluent'" #passwordConfirm class="passwordConfirm" [width]="300" [height]="21"></jqxPasswordInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Birthday
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxDateTimeInput [theme]="'fluent'" #birthday class="birthday"
                                              [width]="300"
                                              [height]="21">
                            </jqxDateTimeInput>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            Gender
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxDropDownList [theme]="'fluent'" #gender class="gender"
                                             [source]="genders"
                                             [selectedIndex]="-1"
                                             [placeHolder]="'I am...'"
                                             [autoDropDownHeight]="true"
                                             [width]="300"
                                             [height]="21">
                            </jqxDropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <jqxButton (onClick)="buttonClicked()">Create account</jqxButton>
                        </td>
                    </tr>
                </table>
            </form>
        </jqxValidator>
    </div>
</jqxExpander>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild } from '@angular/core';

import { jqxExpanderComponent, jqxExpanderModule } from 'jqwidgets-ng/jqxexpander';
import { jqxInputComponent, jqxInputModule } from 'jqwidgets-ng/jqxinput';
import { jqxValidatorComponent, jqxValidatorModule } from 'jqwidgets-ng/jqxvalidator';
import { jqxDropDownListComponent, jqxDropDownListModule } from 'jqwidgets-ng/jqxdropdownlist';
import { jqxDateTimeInputComponent, jqxDateTimeInputModule } from 'jqwidgets-ng/jqxdatetimeinput';
import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';

import { jqxPasswordInputModule, jqxPasswordInputComponent } from 'jqwidgets-ng/jqxpasswordinput';

@Component({
    selector: 'app-root',
    imports: [jqxPasswordInputModule, jqxButtonModule, jqxExpanderModule, jqxInputModule, jqxDropDownListModule, jqxValidatorModule, jqxDateTimeInputModule],
    standalone: true,
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})

export class AppComponent {
    @ViewChild('createAccount') createAccount: jqxExpanderComponent;
    @ViewChild('firstName') firstName: jqxInputComponent;
    @ViewChild('lastName') lastName: jqxInputComponent;
    @ViewChild('userName') userName: jqxInputComponent;
    @ViewChild('password') password: jqxPasswordInputComponent;
    @ViewChild('passwordConfirm') passwordConfirm: jqxPasswordInputComponent;
    @ViewChild('validatorReference') myValidator: jqxValidatorComponent;
    @ViewChild('gender') gender: jqxDropDownListComponent;

    genders: string[] = ["male", "female"];

    rules: any[] = [
        {
            input: ".firstName", message: "First name is required!", action: 'keyup, blur', rule: (input: any, commit: any): boolean => {
                return this.firstName.val() != "" && this.firstName.val() != "First"
            }
        },
        {
            input: ".lastName", message: "Last name is required!", action: 'keyup, blur', rule: (input: any, commit: any): boolean => {
                return this.lastName.val() != "" && this.lastName.val() != "Last";
            }
        },
        { input: ".userName", message: "Username is required!", action: 'keyup, blur', rule: 'required' },
        { input: ".password", message: "Password is required!", action: 'keyup, blur', rule: 'required' },
        { input: ".passwordConfirm", message: "Password is required!", action: 'keyup, blur', rule: 'required' },
        {
            input: ".passwordConfirm", message: "Passwords should match!", action: 'keyup, blur', rule: (input: any, commit: any): boolean => {
                let firstPassword = this.password.val();
                let secondPassword = this.passwordConfirm.val();

                return firstPassword == secondPassword;
            }
        },
        {
            input: ".gender", message: "Gender is required!", action: 'blur', rule: (input: any, commit: any): boolean => {
                let index = this.gender.getSelectedIndex();

                return index != -1;
            }
        }
    ];

    buttonClicked(): void {
        this.myValidator.validate(document.getElementById('form'));
    };

    validationSuccess(event: any): void {
        this.createAccount.setContent('<span style="margin: 10px;">Account created.</span>');
    };
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

PasswordInput API

API Reference of the jQWidgets PasswordInput component for Angular: PasswordInput API